- Main Page
- Data Structures
- Files

- File List
- Globals

# jasperserver/unmarshaller.c File Reference

`#include <stdio.h>`
`#include <libxml/xmlreader.h>`
`#include "unmarshaller.h"`

Go to the source code of this file.

## Functions
int | jasperserver_readNodeText (xmlNode *node, jasperserver_string_t *dest)
jasperserver_resource_descriptor_t * | jasperserver_read_resource_descriptor (xmlNode *node)
jasperserver_resource_property_t * | jasperserver_read_resource_property (xmlNode *node)
jasperserver_parameter_t * | jasperserver_read_parameter (xmlNode *node)
jasperserver_operation_result_t * | jasperserver_response_unmarshal (jasperserver_string_t *xml)

## Function Documentation

jasperserver_parameter_t * jasperserver_read_parameter | ( | xmlNode * | resNode | ) |

Returns a resource descriptor. It is responsability of the user free the resource using jasperserver_resource_descriptor_free();

Definition at line 222 of file unmarshaller.c.

jasperserver_resource_descriptor_t * jasperserver_read_resource_descriptor | ( | xmlNode * | resNode | ) |

Returns a resource descriptor. It is responsability of the user free the resource using jasperserver_resource_descriptor_free();

Definition at line 121 of file unmarshaller.c.

jasperserver_resource_property_t * jasperserver_read_resource_property | ( | xmlNode * | resNode | ) |

Returns a resource descriptor. It is responsability of the user free the resource using jasperserver_resource_descriptor_free();

Definition at line 185 of file unmarshaller.c.

int jasperserver_readNodeText | ( | xmlNode * | node,
|  | jasperserver_string_t * | dest |
| ) |  |  |

This function read the test of a node. The text can be stored in a text node or in a CDATA node. it assume the next node will contain the text, so situations like: <mytag> blank space <[CDATA[ ... return a blank text.

returns 1 if text was found returns 0 if no text was found

Definition at line 104 of file unmarshaller.c.

jasperserver_operation_result_t* jasperserver_response_unmarshal | ( | jasperserver_string_t * | xml | ) |

Definition at line 34 of file unmarshaller.c.